ECHO OFF
CLS
IF "%1" == "" GOTO ERR

IF EXIST \DOS62\FBACK62.BAT GOTO FD_BACK

IF NOT EXIST \FBACK62.BAT GOTO DRV_ERR
:CHK_FD1
IF EXIST \HELP.HL_ GOTO BACK1
CLS
ECHO.
ECHO.
ECHO　セットされているフロッピィディスクは「バックアップディスク＃１」
ECHO　ではありません。
ECHO　フロッピィディスクを「バックアップディスク＃１」に差し替えてくだ
ECHO　さい。
ECHO　作業を中断したい場合には、ＳＴＯＰキーを押してください。
ECHO.
ECHO.
PAUSE
GOTO CHK_FD1

:BACK1
IF NOT EXIST %1\NUL GOTO HD_ERR
IF EXIST %1\DOS62\NUL GOTO HD_BACK
MD %1\DOS62
:HD_BACK
CD %1\DOS62
CLS
ECHO.
ECHO.
ECHO　「バックアップディスク＃１」の内容を復元中です。
ECHO.
ECHO.
COPY *.* %1\DOS62 /V /Y > NUL
CLS
ECHO.
ECHO.
ECHO　フロッピィディスクを「バックアップディスク＃２」に差し替えてくだ
ECHO　さい。
ECHO.
ECHO.
PAUSE

:CHK_FD2
IF EXIST \NECCDCHK.EX_ GOTO BACK2
CLS
ECHO.
ECHO.
ECHO　セットされているフロッピィディスクは「バックアップディスク＃２」
ECHO　ではありません。
ECHO　フロッピィディスクを「バックアップディスク＃２」に差し替えてくだ
ECHO　さい。
ECHO　作業を中断したい場合には、ＳＴＯＰキーを押してください。
ECHO.
ECHO.
PAUSE
GOTO CHK_FD2

:BACK2
CLS
ECHO.
ECHO.
ECHO　「バックアップディスク＃２」の内容を復元中です。
ECHO.
ECHO.
COPY *.* %1\DOS62 /V /Y > NUL
ECHO.
ECHO.
ECHO　復元が終了しました。
ECHO.
ECHO.
GOTO END

:FD_BACK
CLS
ECHO.
ECHO.
ECHO　「ＭＳ−ＤＯＳ６．２用バックアップディスク」を作成します。
ECHO　ＭＳ−ＤＯＳでフォーマット済みのフロッピィディスクを２枚用意して
ECHO  ください。
ECHO.
ECHO.
ECHO　「ＭＳ−ＤＯＳ６．２用バックアップディスク＃１」を作成します。
ECHO　ドライブ %1 にＭＳ−ＤＯＳでフォーマット済みのフロッピィディスク
ECHO  をセットしてください。
ECHO.
ECHO.
PAUSE

IF NOT EXIST %1\NUL GOTO FD_ERR
CLS
ECHO.
ECHO.
ECHO　「バックアップディスク＃１」を作成中です。
ECHO.
ECHO.

COPY \DOS62\FBACK62.BAT         %1 /V /Y > NUL
COPY \DOS62\LISTFILE.TBL        %1 /V /Y > NUL

COPY \DOS62\AVGDRV.SY_          %1 /V /Y > NUL
COPY \DOS62\AVSDRV.SY_          %1 /V /Y > NUL
COPY \DOS62\CUSTOM.EX_          %1 /V /Y > NUL
COPY \DOS62\DBLSPACE.BI_        %1 /V /Y > NUL
COPY \DOS62\DOSHELP.HL_         %1 /V /Y > NUL
COPY \DOS62\DOSSHELL.0R_        %1 /V /Y > NUL
COPY \DOS62\EXPAND.EXE          %1 /V /Y > NUL
COPY \DOS62\FORMAT.EX_          %1 /V /Y > NUL
COPY \DOS62\HDFORMAT.EX_        %1 /V /Y > NUL
COPY \DOS62\HELP.HL_            %1 /V /Y > NUL
COPY \DOS62\HIBER.EX_           %1 /V /Y > NUL
COPY \DOS62\HRTIMER.SY_         %1 /V /Y > NUL
COPY \DOS62\INSTCD.EX_          %1 /V /Y > NUL
COPY \DOS62\INSTDOS.EX_         %1 /V /Y > NUL


ECHO.
ECHO.
ECHO　「バックアップディスク＃１」の作成が終了しました。
ECHO　引き続き「バックアップディスク＃２」を作成します。
ECHO　ドライブ %1 のフロッピィディスクをＭＳ−ＤＯＳでフォーマット済み
ECHO　のフロッピィディスクに差し替えてください。
ECHO.
ECHO　なお、作成した「バックアップディスク＃１」には、『ＭＳ−ＤＯＳ６
ECHO　．２用バックアップディスク＃１』と書いたラベルを貼っておいてくだ
ECHO　さい。
ECHO.
ECHO.
PAUSE

:CHK_FD
IF NOT EXIST %1\HELP.HL_ GOTO BACK_FD2
ECHO.
ECHO.
ECHO　ドライブ %1 のフロッピィディスクは、「バックアップディスク＃１」
ECHO　の可能性があります。
ECHO　ＭＳ−ＤＯＳでフォーマット済みのフロッピィディスクに差し替えてく
ECHO　ださい。
ECHO　作業を中断したい場合には、ＳＴＯＰキーを押してください。
ECHO.
ECHO.
PAUSE
GOTO CHK_FD

:BACK_FD2
CLS
IF NOT EXIST %1\NUL GOTO FD_ERR
CLS
ECHO.
ECHO.
ECHO　「バックアップディスク＃２」を作成中です。
ECHO.
ECHO.

COPY \DOS62\MAXLINK.DR_         %1 /V /Y > NUL
COPY \DOS62\MAXLINK.EX_         %1 /V /Y > NUL
COPY \DOS62\MSD.EX_             %1 /V /Y > NUL
COPY \DOS62\MSDCWH.VI_          %1 /V /Y > NUL
COPY \DOS62\MSDCWN.VI_          %1 /V /Y > NUL
COPY \DOS62\NECCDA.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDB.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDC.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDCHK.EX_        %1 /V /Y > NUL
COPY \DOS62\NECCDCHK.EXE        %1 /V /Y > NUL
COPY \DOS62\NECCDD.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDE.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDF.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDG.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDH.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDJ.SY_          %1 /V /Y > NUL
COPY \DOS62\NECCDM.SY_          %1 /V /Y > NUL
COPY \DOS62\POWER.EX_           %1 /V /Y > NUL
COPY \DOS62\README.DOC          %1 /V /Y > NUL
COPY \DOS62\README2.DO_         %1 /V /Y > NUL
COPY \DOS62\UPDOS.EXE           %1 /V /Y > NUL
COPY \DOS62\UPDOS62.BAT         %1 /V /Y > NUL
COPY \DOS62\UPGRADE.TBL         %1 /V /Y > NUL
COPY \DOS62\UPGRADE.UP2         %1 /V /Y > NUL
COPY \DOS62\NO.TXT              %1 /V /Y > NUL

COPY \DOS62\FBACK62.BAT         %1 /V /Y > NUL

ECHO.
ECHO.
ECHO　　「バックアップディスク」の作成が終了しました。
ECHO.
ECHO　なお、作成した「バックアップディスク＃２」には、『ＭＳ−ＤＯＳ６
ECHO　．２用バックアップディスク＃２』と書いたラベルを貼っておいてくだ
ECHO　さい。
ECHO.
ECHO.
GOTO END

:ERR
CLS
ECHO.
ECHO.
ECHO　　パラメータが指定されていません。
ECHO　　パラメータを指定して、再度実行してください。
ECHO.
ECHO.
GOTO END

:FD_ERR
ECHO.
ECHO.
ECHO　　フォーマット済みのフロッピィディスクではありません。
ECHO　　フロッピィディスクをＭＳ−ＤＯＳでフォーマットしてから、再度
ECHO　　実行してください。
ECHO.
ECHO.
GOTO END

:HD_ERR
ECHO.
ECHO.
ECHO　　指定したドライブはハードディスクのドライブではありません。
ECHO　　ドライブを確認してから、再度実行してください。
ECHO.
ECHO.
GOTO END

:DRV_ERR
ECHO.
ECHO.
ECHO　　カレントドライブが「バックアップディスク＃１」が挿入されている
ECHO　　フロッピィディスクドライブではありません。
ECHO　　カレントドライブを「バックアップディスク＃１」が挿入されている
ECHO　　フロッピィディスクドライブに変更してから再度実行してください。
ECHO.
ECHO.

:END
